<center><h4>АККАУНТ</H4><hr>
| <a href="index.php?id=reg_true">Регистрация</a> 
| <a href="index.php?id=changepassword">Сменить пароль</a> 
| <a href="index.php?id=repass1">Востановить пароль</a> 
 |<br><hr>
 </center> <ul>
<H4>Востановление пароля</h4>

<br><BR><ul> 
<script type="text/javascript">//<![CDATA[
function checkform1(f)
{
  if (f.account.value=="")
  {
    alert("Введите аккаунт");
    return false;
  }
  if (!f.account.value.match(/^[a-zA-Z0-9_]+$/))
  {
    alert("Аккаунт должен состоять из английских букв и/или цифр!");
    return false;
  }
  if (f.email.value=="")
  {
    alert("Введите E-mail");
    return false;
  }
  if (!f.email.value.match(/^([a-zA-Z0-9])+([.a-zA-Z0-9_-])*@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-]+)+/))
  {
    alert("Это не e-mail!");
    return false;
  }
return true;
}
function checkform2(f)
{
  if (f.answer1.value=="")
  {
    alert("Введите Секретный ответ №1");
    return false;
  }
  if (f.answer2.value=="")
  {
    alert("Введите Секретный ответ №2");
    return false;
  }
return true;
}
//]]></script>
</head>

<body>
<?php
$Lang["error_error"]='Ошибка: ';
$Lang["accounts_accountnotalphanumeric"]="Аккаунт должен состоять из английских букв и/или цифр!";
$Lang["accounts_notemail"]="Это не e-mail!";
$Lang["accounts_account"]="Аккаунт";
$Lang["accounts_email"]="E-mail";
$Lang["accounts_password"]="Пароль";
$Lang["accounts_password2"]="Повторите пароль";
$Lang["accounts_question1"]="Секретный вопрос №1";
$Lang["accounts_question2"]="Секретный вопрос №2";
$Lang["accounts_answer1"]="Секретный ответ №1";
$Lang["accounts_answer2"]="Секретный ответ №2";
$Lang["accounts_resetbutton"]="Сбросить пароль";
$Lang["accounts_missingloginoremail"]="Неправильные логин или e-mail";
$Lang["accounts_passwordresetted"]="Пароль сброшен";
$Lang["accounts_email_subject_resetted"]="Lineage II: Ваш пароль сброшен";
$Lang["accounts_email_from"]="Server Support";    // something like "Server Support <support@lineage2.com>"
$Lang["accounts_email_ok"]="E-mail с новым паролем отправлен";
$Lang["accounts_email_error"]="Ошибка при отправке e-mail'а";
$Lang["accounts_newpassword"]="Новый пароль";
$Lang["accounts_wronganswers"]="Неверные Секретные ответы";
$Lang["accounts_nextbutton"]="Далее  >>>";

if  ($page="index.php"  && @$_POST['account'] && strlen($_POST['account'])<=20 && $_POST['answer1'] && strlen($_POST['answer1'])<=40 && $_POST['answer2'] && strlen($_POST['answer2'])<=40)
{
  if (!eregi("^[a-zA-Z0-9_]+$", $_POST['account']))
    die ("<p class=\"error\">" . $L2JBS_lang["error_error"] . $Lang["accounts_accountnotalphanumeric"] . "</p>");
  $banwords=Array("'", "\"", ",", ";", "--", "#");
  $_POST['answer1']=str_replace($banwords, '', $_POST['answer1']);
  $_POST['answer2']=str_replace($banwords, '', $_POST['answer2']);
  
  $result=mysql_query("SELECT * FROM accounts WHERE login='".$_POST['account']."' AND answer1='".$_POST['answer1']."' AND answer2='".$_POST['answer2']."'", $link)
    or die ('Error '.mysql_errno().': '.mysql_error());
  if (mysql_num_rows($result)==1)
  {
    $row=mysql_fetch_array($result);
    $newpass=substr(preg_replace("/[A-Z]/", "", md5(time())), 0, 6);
    mysql_query("UPDATE accounts SET password='".base64_encode(pack('H*', sha1(utf8_encode($newpass))))."' WHERE login='".$row['login']."'", $link)
      or die ('Error '.mysql_errno().': '.mysql_error());
    print "<p style=\"font-weight: bold;\">".$Lang["accounts_passwordresetted"]."</p>\n";
	$ok=1;
	if ($L2JBS_config["mail_enable"] && $ok=mail($row['email'], $Lang["accounts_email_subject_resetted"], $L2JBS_lang["accounts_newpassword"].": ".$newpass, "From: ".$Lang["accounts_email_from"]))
      print "<p>".$Lang["accounts_email_ok"]."</p>";
	else
	{
	  if (!$ok)
	    print '<p class="error">'.$Lang["accounts_email_error"].'</p>';
	  print "<p>".$Lang["accounts_newpassword"].": ".$newpass."</p>";
	}
  }
  else
    print "<p class=\"error\">".$Lang["accounts_wronganswers"]."</p>";
}

else
{
print '<form method="post" action="?page=step2" onsubmit="return checkform1(this)">
<table>
 <tr>
  <td>'.$Lang["accounts_account"].'</td>
  <td><input type="text" name="account" maxlength="20" /></td>
 </tr>
 <tr>
  <td>'.$Lang["accounts_email"].'</td>
  <td><input type="text" name="email" maxlength="20" /></td>
 </tr>
 <tr>
  <td colspan="2" style="text-align: center;"><br /><input type="submit" name="submit" value="'.$Lang["accounts_nextbutton"].'" /></td>
 </tr>
</table>
</form>
';
}
?>

</body>
</html>
